Inplace upgrade from 6.2 to 6.4 - Unable to see the CQ pages loading

vijaybe

03-10-2019

@Hello,

I'm successful in the approach of inplace upgrade from 5.6.1 to 6.2 but failed while doing from 6.2 to 6.4 while the motive is to migrate 450GB of repository from 5.6.1 to 6.4

For Inplace Up-grade 5.6.1 to 6.2, i ran the below commands:

java -Xmx32G -XX:MaxPermSize=4096m -Dlogback.configurationFile=crx-quickstart/logback.xml -Dtar.memoryMapped=false -jar crx-quickstart/opt/helpers/crx2oak/crx2oak.jar crx-quickstart/repository crx-quickstart/target --include-paths=/ --copy-versions=false --copy-orphaned-versions=false --copy-binaries --src-datastore=crx-quickstart/repository/repository/datastore --datastore=crx-quickstart/target/repository/datastore

java -Xmx32G -XX:MaxPermSize=4096m -jar cq5-author-p4502.jar -r author,crx3,crx3tar

Sucessfully migrated and could able to see cq and project pages working well. All the bundles are active.

From Inplace Up-grade 6.2 - 6.4,

Moved aem 6.4 jar and license and ran below commands

java -jar aem-author-p4502.jar -unpack

java -Xmx32G -XX:MaxPermSize=4096m -jar aem-author-p4502.jar -v -x crx2oak -xargs -- --load-profile segment-fds

Below is the log at the end of migration:

01.10.2019 15:20:35.355 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

01.10.2019 15:20:35.427 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.cleanup.impl.UpgradeContentCleanup Startup mode is RESTART, nothing to do

01.10.2019 15:20:35.541 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.backup.impl.UpgradeBackup property /var/upgrade/status/preUpgradeBackup.force does not exist, backup will not be forced

01.10.2019 15:20:35.541 *INFO* [FelixStartLevel] com.adobe.cq.upgrades.backup.impl.UpgradeBackup Startup mode is RESTART, nothing to do

01.10.2019 15:23:03.435 *INFO* [FelixStartLevel] com.adobe.cq.upgradesexecutor.Activator UPGRADE NOT NEEDED - StartupMode is RESTART

03.10.2019 12:00:16.205 *INFO*  [com.adobe.granite.crx2oak.core.VersionPrinter] VersionPrinter.java:45   CRX2Oak version: 1.8.4 (QUICKSTART_EXTENSION mode)

03.10.2019 12:00:16.835 *INFO*  [com.adobe.granite.crx2oak.core.VersionPrinter] VersionPrinter.java:45   /D:/5.6.1-old/26-09/versioncrx/6.4-new/crx-quickstart/opt/extensions/crx2oak.jar (version: 1.8, checksum: 94df1186383a5f6df22fbaa32af97a4991db849dd76c64ca73fa05d1445b441389855941264a278935f216af33e5ab28a41ac6bfb2cdbb1dbc06752cbf6b54f4)

03.10.2019 12:00:17.218 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:143  Applying partly the command line (before loading a profile): []

03.10.2019 12:00:18.710 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:118  The following template tags has been defined: {datastore-path=./crx-quickstart/repository/repository/datastore}

03.10.2019 12:00:18.720 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:176  The command line (after loading a profile): [--delete-sling-opt-file, --detect-old-segment, --tag-crx2-datastore-as, datastore-path, --tag-oak-datastore-as, datastore-path, --require-tag, datastore-path, --promote-runmode, crx3, --promote-runmode, crx3tar]

03.10.2019 12:00:18.721 *INFO*  [com.adobe.granite.crx2oak.core.DryModeBreaker] DryModeBreaker.java:46   The tool is running in DRY_PREPARE_MIGRATION_MODE and real migration is skipped for this invocation.

03.10.2019 12:00:18.722 *INFO*  [com.adobe.granite.crx2oak.core.DryModeBreaker] DryModeBreaker.java:48   If you have backup and you are sure what you are doing please remove: --dry option

03.10.2019 12:00:18.722 *INFO*  [com.adobe.granite.crx2oak.core.DryModeBreaker] DryModeBreaker.java:49   or pass --migrate if you haven't specified any other command line argument to use default migration profile

03.10.2019 12:34:49.940 *INFO*  [com.adobe.granite.crx2oak.core.VersionPrinter] VersionPrinter.java:45   CRX2Oak version: 1.8.4 (QUICKSTART_EXTENSION mode)

03.10.2019 12:34:50.861 *INFO*  [com.adobe.granite.crx2oak.core.VersionPrinter] VersionPrinter.java:45   /D:/5.6.1-old/26-09/versioncrx/6.4-new/crx-quickstart/opt/extensions/crx2oak.jar (version: 1.8, checksum: 94df1186383a5f6df22fbaa32af97a4991db849dd76c64ca73fa05d1445b441389855941264a278935f216af33e5ab28a41ac6bfb2cdbb1dbc06752cbf6b54f4)

03.10.2019 12:34:50.864 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileLoader] ProfileLoader.java:171  Reading migration profile: segment-fds

03.10.2019 12:34:51.266 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:143  Applying partly the command line (before loading a profile): [--load-profile, segment-fds]

03.10.2019 12:34:53.394 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:118  The following template tags has been defined: {datastore-path=./crx-quickstart/repository/repository/datastore}

03.10.2019 12:34:53.418 *INFO*  [com.adobe.granite.crx2oak.profile.ProfileHandler] ProfileHandler.java:176  The command line (after loading a profile): [--delete-sling-opt-file, --detect-old-segment, --tag-crx2-datastore-as, datastore-path, --tag-oak-datastore-as, datastore-path, --require-tag, datastore-path, --promote-runmode, crx3, --promote-runmode, crx3tar]

03.10.2019 12:35:08.903 *WARN*  [com.adobe.granite.crx2oak.oldsegment.MigrationVerifier] MigrationVerifier.java:60   Migration is not needed for this instance. Finishing.

Error:

03.10.2019 14:54:58.424 *ERROR* [qtp2106902277-59] org.apache.sling.engine.impl.SlingHttpContext handleSecurity: AuthenticationSupport service missing. Cannot authenticate request.
  03.10.2019 14:54:58.424 *ERROR* [qtp2106902277-59] org.apache.sling.engine.impl.SlingHttpContext handleSecurity: Possible reason is missing Repository service. Check AuthenticationSupport dependencies.

Issue: Other than /system/console no other pages are loading. Thought could be a indexing problem. so i renamed /repository/index. but surprisingly the /index folder is not created and reindexed.

Please help with suggestions & recommendations.

TIA,

Vijay

Accepted Solutions (1)

Accepted Solutions (1)

jbrar

Employee

04-10-2019

I have encountered this issue at least two times. Before upgrading from 6.2 to 6.4, AEM62 need to get updated to SP1 CFP15.

So, install SP1-CFP15 on 6.2 before upgrading to 6.4

Answers (0)